#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios::sync_with_stdio(false);
    cin.tie(nullptr);
    cout.tie(nullptr);

    int T;

    cin >> T;

    vector<pair<int, int>> dimenzija(T);

    for (int i = 0; i < T; ++i){
        cin >> dimenzija[i].first >> dimenzija[i].second;
    }

    for (int i = 0; i < T; ++i){
        if (dimenzija[i].first != dimenzija[i].second){
            cout << -1 << '\n';
        } else{

        }
    }
    return 0;
}